glib 2.60.3 does not install libglib-2.0.la

Xavier zaz.colmant at free.fr
Tue Jul 16 12:52:38 UTC 2019


On Mon, Jul 15, 2019 at 01:32:44PM +0200, Tim wrote:
> On Mon, 15 Jul 2019 13:26:34 +0200
> Xavier Colmant <zaz.colmant at free.fr> wrote:
> 
> > While trying to install librsvg, I got an error about missing file
> > libglib-2.0.la. I forced a rebuild of glib 2.60.3, but it did not
> > correct the problem. libglib-2.0.la is not packaged by glib 2.60.3
> > 
> > glib 2.58.3 from crux34 did contain the file.
> > 
> > Thanks, Xavier
> 
> Hi Xavier,
> 
> please try to rebuild with:
> prt-cache update -fr \
>         `for f in $(grep -lr "libglib-2.0.la" /usr/lib/ 2> /dev/null |
>         sed 's|.*/||'); \ do prt-get fsearch $f | grep '^Found in' |
>         sed -e 's|.*/||' -e 's|:$||'; \ done | sort -u | xargs
>         prt-cache isinst | grep -e 'is installed' | awk '{ print $2 }'`
> 
> -- 
> Tim Biermann

Thanks, it worked. It launched a recompilation of several other
packages. A few failed with a similar error but on libgobject and
libgmodule instead of libglib. I did launch your script replacing
libglib with libgobject and later libgmodule. In the end all packages
were successfully rebuilt...

Thanks again,

Xavier


More information about the CRUX mailing list